%define fedora 19
Name:		tzclock
Version:	3.0.3
Release:	alt1_1
Summary:	GTK+ graphical Clock displaying the time around the world

Group:		Toys
License:	GPLv2
URL:		http://www.tzclock.org/
Source0:	http://www.tzclock.org/releases/source/%{name}-%{version}.tar.bz2

BuildRequires:	libgtk+3-devel
BuildRequires:	libnotify-devel
BuildRequires:	desktop-file-utils
Source44: import.info

%description
TzClock is an X Window GTK+ graphical Clock that can display 
the time around the world. It supports multiple faces showing 
different time zones. 
There is a stopwatch funtion that is accurate to a tenth of a second, 
plus there are many other nice features for you to discover.

%prep
%setup -q

sed -i.suffix \
	-e 's|^Icon=.*|Icon=tzclock|' \
	TzClock.desktop

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__make} install \
	INSTALL="%{__install} -p" \
	DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
%if 0%{?fedora} < 19
	--vendor fedora \
%endif
	--delete-original \
	$RPM_BUILD_ROOT%{_datadir}/applications/TzClock.desktop

# I like lower case!
%{__ln_s} -f TzClock $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__ln_s} -f TzClock.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

# Not needed
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/screenSize

%files
%doc	AUTHORS
%doc	COPYING

%{_bindir}/*
%{_datadir}/icons/hicolor/*/*/tzclock*
%{_datadir}/applications/*desktop

%{_mandir}/man1/*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.3-alt1_1
- initial fc import

